/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package pe.siso.horario.DAO;

import java.util.ArrayList;
import pe.siso.horario.Beans.DisponibilidadDocente;

/**
 *
 * @author sistem16user
 */
public interface DisponibilidadDocenteDAO {
    public int registrarDisponibilidad(String codDoc,String diaDisp,String periodo) throws Exception; 
    public String ConsDisponibilidad(String codDoc) throws Exception;
    public String ConsDisponibilidad(String codDoc,String periodo) throws Exception;
    public ArrayList<DisponibilidadDocente> docentesAsignados() throws Exception;
    public ArrayList<DisponibilidadDocente> docentesAsignados(String periodo) throws Exception;
    public ArrayList<DisponibilidadDocente> listarTodoDisponibilidadDocente(String periodo) throws Exception;
    
    public ArrayList<DisponibilidadDocente> listarTodoDisponibilidadDocentePorPlana(String periodo,String plana) throws Exception;
    
    
    
    public ArrayList<DisponibilidadDocente> listarEstadoDisponibilidadDocente() throws Exception;
    public ArrayList<DisponibilidadDocente> ConsultaDisponibilidadTodos() throws Exception;
    public int verificarDisponibilidad(String codigoDocente, String cadena) throws Exception;
    public int asignadoDisponibilidad(String codigoDocente, int dia,int turno) throws Exception;
    public int asignadoDisponibilidad(String codigoDocente, int dia,int turno, String periodo) throws Exception;
    public int registrarDisponibilidadConformidad(String codDoc, String diaDispConfirmados, String periodo)throws Exception;
 
}
